Summary: A easy to use text editor with a terminal or an X interface.
Name: aee
Version: 2.2.3
Release: 5
Copyright: Artistic
Group: Applications/Editors
URL: http://www.users.uswest.net/~hmahon
Source0: %{name}-%{version}.tar.gz
Source1: xae.wmconfig
Patch: aee-2.2.3.patch
BuildRoot: /var/tmp/%{name}-%{version}

%description
Aee is a text editor that is intended to be easy to use.  Little or no
instruction is needed for new users.  Aee provides both a curses-based
terminal interface and a native X Window System interface (the X
executable is called xae).  Aee's features include pop-up menus,
journalling for recovery from system crashes or connection losses, cut
and paste, and multiple buffers.

%prep
%setup -q
%patch -p1 -b .orig_locations

%build
make both

%install
rm -rf $RPM_BUILD_ROOT
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/aee,%{_mandir}/man1}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications
install -s -m 755 aee $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 xae $RPM_BUILD_ROOT%{_bindir}
install -m 644 aee.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 help.ae $RPM_BUILD_ROOT%{_libdir}/aee
(
	cd $RPM_BUILD_ROOT%{_bindir}
	ln -s aee rae
	ln -s xae rxae
)

cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/xae.desktop <<EOF
[Desktop Entry]
Name=xae
Type=Application
Description=xae
Exec=xae
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic README.aee aee.1.ps aee.i18n.guide keypad
%{_bindir}/*
%{_libdir}/aee
%{_mandir}/*/*
%config %{_sysconfdir}/X11/applnk/Applications/xae.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- fixed broken man page location, now in %{_mandir}
- use macros wherever posssible

* Thu Apr 27 2000 Tim Powers <timp@redhat.com>
- removed stupid defines at top of spec file
- rebuilt for 7.0
- strip binaries
- cleaned up files list, no need for the extra attr's
- applnk support instead of wmconfig

* Thu Oct 28 1999 Tim Powers <timp@redhat.com>
- updated to 2.2.3
- updated patch to allow the install with the /usr prefix

* Tue Jul 17 1999 Dale Lovelace <dale@redhat.com>
- added xae.wmconfig

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- built package for 6.1

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- cleaned up spec file

* Mon Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [aee-2.2.1-2]
- Changed header to comply with RHCN specs.

